Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.number
Class OdfNumberStyleElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.number.OdfNumberStyleElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfNumberStyle

    public abstract class OdfNumberStyleElement

extends OdfElement

DOM implementation of OpenDocument element number:number-style.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfNumberStyleElement(OdfFileDom aOwnerDoc)` Create the instance of OdfNumberStyleElement

Method Summary
`OdfFractionElement` | `createFractionElement()` Create child element number:fraction.
`OdfMapElement` | `createMapElement(String condition, OdfStyleNameRef applyStyleName)` Create child element style:map.
`OdfNumberElement` | `createNumberElement()` Create child element number:number.
`OdfScientificNumberElement` | `createScientificNumberElement()` Create child element number:scientific-number.
`OdfTextElement` | `createTextElement()` Create child element number:text.
`OdfTextPropertiesElement` | `createTextPropertiesElement(String display)` Create child element style:text-properties.
`OdfTextPropertiesElement` | `createTextPropertiesElement(String display, String condition)` Create child element style:text-properties.
`String` | `getCountry()` Get value of attribute number:country.
`String` | `getLanguage()` Get value of attribute number:language.
`String` | `getName()` Get value of attribute style:name.
`OdfName` | `getOdfName()` Get the element name
`String` | `getRfcLanguageTag()` Get value of attribute number:rfc-language-tag.
`String` | `getScript()` Get value of attribute number:script.
`String` | `getTitle()` Get value of attribute number:title.
`String` | `getTransliterationCountry()` Get value of attribute number:transliteration-country.
`String` | `getTransliterationFormat()` Get value of attribute number:transliteration-format.
`String` | `getTransliterationLanguage()` Get value of attribute number:transliteration-language.
`OdfTransliterationStyleType` | `getTransliterationStyle()` Get value of attribute number:transliteration-style.
`OdfBoolean` | `getVolatile()` Get value of attribute style:volatile.
`void` | `init(OdfStyleName name)` Initialization of the mandatory attributes of `OdfNumberStyleElement`
`void` | `setCountry(String country)` Set value of attribute number:country.
`void` | `setLanguage(String language)` Set value of attribute number:language.
`void` | `setName(OdfStyleName name)` Set value of attribute style:name.
`void` | `setRfcLanguageTag(String rfcLanguageTag)` Set value of attribute number:rfc-language-tag.
`void` | `setScript(String script)` Set value of attribute number:script.
`void` | `setTitle(String title)` Set value of attribute number:title.
`void` | `setTransliterationCountry(String transliterationCountry)` Set value of attribute number:transliteration-country.
`void` | `setTransliterationFormat(String transliterationFormat)` Set value of attribute number:transliteration-format.
`void` | `setTransliterationLanguage(String transliterationLanguage)` Set value of attribute number:transliteration-language.
`void` | `setTransliterationStyle(OdfTransliterationStyleType transliterationStyle)` Set value of attribute number:transliteration-style.
`void` | `setVolatile(OdfBoolean isVolatile)` Set value of attribute style:volatile.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfNumberStyleElement

    public OdfNumberStyleElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfNumberStyleElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element number:number-style.

### init

    public void init(OdfStyleName name)

  Initialization of the mandatory attributes of `OdfNumberStyleElement`

  Parameters:
    `name` - The mandatory attribute style:name"

### getName

    public String getName()

  Get value of attribute style:name.

  Returns:
    return the attribute which type is String

### setName

    public void setName(OdfStyleName name)

  Set value of attribute style:name.

  Parameters:
    `name` - the attribute's type is OdfStyleName

### getLanguage

    public String getLanguage()

  Get value of attribute number:language.

  Returns:
    return the attribute which type is String

### setLanguage

    public void setLanguage(String language)

  Set value of attribute number:language.

  Parameters:
    `language` - the attribute's type is String

### getCountry

    public String getCountry()

  Get value of attribute number:country.

  Returns:
    return the attribute which type is String

### setCountry

    public void setCountry(String country)

  Set value of attribute number:country.

  Parameters:
    `country` - the attribute's type is String

### getScript

    public String getScript()

  Get value of attribute number:script.

  Returns:
    return the attribute which type is String

### setScript

    public void setScript(String script)

  Set value of attribute number:script.

  Parameters:
    `script` - the attribute's type is String

### getRfcLanguageTag

    public String getRfcLanguageTag()

  Get value of attribute number:rfc-language-tag.

  Returns:
    return the attribute which type is String

### setRfcLanguageTag

    public void setRfcLanguageTag(String rfcLanguageTag)

  Set value of attribute number:rfc-language-tag.

  Parameters:
    `rfcLanguageTag` - the attribute's type is String

### getTitle

    public String getTitle()

  Get value of attribute number:title.

  Returns:
    return the attribute which type is String

### setTitle

    public void setTitle(String title)

  Set value of attribute number:title.

  Parameters:
    `title` - the attribute's type is String

### getVolatile

    public OdfBoolean getVolatile()

  Get value of attribute style:volatile.

  Returns:
    return the attribute which type is OdfBoolean

### setVolatile

    public void setVolatile(OdfBoolean isVolatile)

  Set value of attribute style:volatile.

  Parameters:
    `isVolatile` - the attribute's type is OdfBoolean

### getTransliterationFormat

    public String getTransliterationFormat()

  Get value of attribute number:transliteration-format.

  Returns:
    return the attribute which type is String

### setTransliterationFormat

    public void setTransliterationFormat(String transliterationFormat)

  Set value of attribute number:transliteration-format.

  Parameters:
    `transliterationFormat` - the attribute's type is String

### getTransliterationLanguage

    public String getTransliterationLanguage()

  Get value of attribute number:transliteration-language.

  Returns:
    return the attribute which type is String

### setTransliterationLanguage

    public void setTransliterationLanguage(String transliterationLanguage)

  Set value of attribute number:transliteration-language.

  Parameters:
    `transliterationLanguage` - the attribute's type is String

### getTransliterationCountry

    public String getTransliterationCountry()

  Get value of attribute number:transliteration-country.

  Returns:
    return the attribute which type is String

### setTransliterationCountry

    public void setTransliterationCountry(String transliterationCountry)

  Set value of attribute number:transliteration-country.

  Parameters:
    `transliterationCountry` - the attribute's type is String

### getTransliterationStyle

    public OdfTransliterationStyleType getTransliterationStyle()

  Get value of attribute number:transliteration-style.

  Returns:
    return the attribute which type is OdfTransliterationStyleType

### setTransliterationStyle

    public void setTransliterationStyle(OdfTransliterationStyleType transliterationStyle)

  Set value of attribute number:transliteration-style.

  Parameters:
    `transliterationStyle` - the attribute's type is OdfTransliterationStyleType

### createTextPropertiesElement

    public OdfTextPropertiesElement createTextPropertiesElement(String display)

  Create child element style:text-properties.

  Parameters:
    `display` - String
  Returns:
    return the element style:text-properties

### createTextPropertiesElement

    public OdfTextPropertiesElement createTextPropertiesElement(String display,
                                                                String condition)

  Create child element style:text-properties.

  Parameters:
    `display` - String
    `condition` - String
  Returns:
    return the element style:text-properties

### createTextElement

    public OdfTextElement createTextElement()

  Create child element number:text.

  Returns:
    return the element number:text

### createNumberElement

    public OdfNumberElement createNumberElement()

  Create child element number:number.

  Returns:
    return the element number:number

### createScientificNumberElement

    public OdfScientificNumberElement createScientificNumberElement()

  Create child element number:scientific-number.

  Returns:
    return the element number:scientific-number

### createFractionElement

    public OdfFractionElement createFractionElement()

  Create child element number:fraction.

  Returns:
    return the element number:fraction

### createMapElement

    public OdfMapElement createMapElement(String condition,
                                          OdfStyleNameRef applyStyleName)

  Create child element style:map.

  Parameters:
    `condition` - String
    `applyStyleName` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfStyleNameRef
  Returns:
    return the element style:map

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.